MAILBOT(1)

NAME
mailbot - A MIME-aware autoresponder utility

SYNOPSIS

mailbot [options] {program} [arg...]

In .mailfilter:

if (/^Subject: *info/)
{
     cc "| mailbot -t /usr/share/autoresponse/info -d autoresponsedb \
            -A 'From: info@domain.com' /usr/bin/sendmail -f ''"
}

DESCRIPTION

mailbot reads an E-mail message on standard input and creates an E-mail message replying to the original message's sender. A program is specified as an argument to mailbot after all of mailbot options. program is expected to read the created autoreply on its standard input, and mail it. If program is not specified, mailbot runs 'sendmail -f ""'.

mailbot has several options for suppressing duplicate autoresponse messages. If mailbot chooses not to send an autoresponse, it quietly terminates without running program. The autoresponse is optionally formatted as a MIME delivery status notification.

The text of the autoresponse is specified by the -t or the -m argument. Either one is required. Everything else is optional. The default behavior is to send an autoresponse unless the original message has the "Precedence: junk" or the "Precedence: bulk" header, or the "Precedence: list" header, or the "List-ID:" header, or if its MIME content type is "multipart/report" (this is the MIME content type for delivery status notifications). The -M option formats the the autoresponse itself as a MIME delivery status notification.

OPTIONS

-A "header: value"
    Add a header to the autoresponse. Multiple -A options are allowed. In most situations, the -A option must be used to set the “From:” header in the autogenerated response.

-faddress
    Address the autoresponse to address, which must be an RFC 2822[1] address. By default mailbot takes the autoresponse address from the From: (or the Reply-To:) header in the original message. -f, if present, overrides and explicitly sets the autoresponse address. "address" must immediately follow the -f option without an intervening space (it's a single command line argument). An -f option without an address takes the address from the SENDER environment variable.

-t filename
    Read text autoresponse from filename, which should contain a plain text message.

-c charset
    Set the autoresponse's MIME character set to charset. Run mailbot without any arguments to see the default character set.

-m filename
    Read a MIME autoresponse from filename. This is similar to the -t option, except that filename contains MIME headers, followed by a blank line, and the corresponding MIME content. The contents of filename are inserted in the autoresponse without further processing.

    The specified file must contain the “Content-Type” header. mailbot always adds the “Content-Transfer-Encoding: 8bit” headers even with the -m, since the salutation inserted into the message includes the sender's name, which may contain 8-bit characters.

-M address
    Format the autoresponse as a delivery status notification (RFC 1894[2]). address is an RFC 2822[1] E-mail address that generates the DSN. Note that the -A option should still be used in addition to -M in order to set the From: header on the autoresponse. -M sets the DSN address only. The -M option automatically sets -T replydsn

-T format
    Set the reply format. format must be one of the following values:

        • “reply” - the default reply format.

        • “replyall” - like “reply”, except also puts the recipients in the original message's “To:” and “Cc:” headers into the “Cc:” header of the generated reply.

        • “replydsn” - like “reply”, except the message is formatted as a delivery status notification.

        • “forward” - attach the original message as forwarded text.

        • “forwardatt” - attach the original message as a forwarded message attachment.

-e
    Generate a reply (“reply”-formats) to the address listed in any “Errors-To” or “Return-Path” header, if present, instead of the “From” header.

-S “salutation”
    Use the given salutation in the “reply”. The default value is “%F writes:”. The following substitutions are recognized in the salutation string:

        • %% - an explicit % character.

        • %n - a newline character.

        • %C - the “X-Newsgroup:” header from the original message.

        • %N - the “Newsgroups:” header from the original message.

        • %i - the “Message-ID:” header from the original message.

        • %f - the original message's sender's address.

        • %F - the original message's sender's name.

        • %S - the “Subject:” header from the original message

        • %d - the original message's date, in the local timezone.

        • %{...}d - use strftime() to format the original message's date. A plain %d is equivalent to %{%a, %d %b %Y %H:%M:%S %z}d.
        All other characters in the salutation string are left as is.

    -F “marker”
        When generating a forward, use the marker to separate the forwarded message from the autoreply text, instead of the default “--- Forwarded message ---”

    -r addrlist
        addrlist is a comma-separated list of RFC 2822[1] E-mail addresses. mailbot sends an autoresponse only if the original message has at least one of the specified addresses in any To: or Cc: header.

    -d filename
        Create a small database, filename, that keeps track of sender's E-mail addresses, and prevent duplicate autoresponses going to the same address (suppress autoresponses going back to the same senders, for subsequent received messages). The -d option is only available if maildrop has GDBM/DB extensions enabled.

    -D x
        Do not send duplicate autoresponses (see the -d option) for at least x days (default: 1 day). The -d option creates a database of E-mail addresses and the times an autoresponse was last mailed to them. Another autoresponse to the same address will not be mailed until at least the amount of time specified by the -D option has elapsed.

    -s "subject"
        Set the Subject: header on the autoresponse to subject.

    -n
        Show the resulting message, do not send it. Used for debugging purposes.

SEE ALSO

maildrop(1)[3], reformail(1)[4], reformime(1)[5].

NOTES

1.  RFC 2822
    http://www.rfc-editor.org/rfc/rfc2822.txt

2.  RFC 1894
    http://www.rfc-editor.org/rfc/rfc1894.txt

3.  maildrop(1)
    [set $man.base.url.for.relative.links]/maildrop.html

4.  reformail(1)
    [set $man.base.url.for.relative.links]/reformail.html

5.  reformime(1)
    [set $man.base.url.for.relative.links]/reformime.html